
#Include the toolchain configure.
include config_x86_64.mk

ROOTDIR = ../../..
INCDIR = $(ROOTDIR)/Include
LIBDIR = $(ROOTDIR)/Lib/$(TCNAME)

SOURCES = demoTunnel.cpp

OBJS = demoTunnel.o

INC = $(INCDIR)/pgLibTunnel.h

LIBS += -ltunnel $(LIBSTA) $(LIBDYN)

TARGET = demoTunnel_$(LIBSUFF)

#GCC flags
CFLAGS += -I$(INCDIR)

#Linker flags
LDFLAGS += -L./ -L$(LIBDIR)

demo: $(TARGET)

$(TARGET): $(OBJS)
	$(CXX) $(LDFLAGS) $(OBJS) $(LIBS) -o $(TARGET)
	rm -rf *.o

demoTunnel.o: demoTunnel.cpp $(INC)
	$(CXX) $(CFLAGS) -c demoTunnel.cpp -o demoTunnel.o


clean:
	rm -rf *.o *so $(TARGET)

